[Defaults]
command.time = 15
command.buffer.time = 1

;-| AI |----------------------------
[Command]
name = "AI0"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a
time = 0
[Command]
name = "AI1"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b
time = 0
[Command]
name = "AI2"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c
time = 0
[Command]
name = "AI3"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x
time = 0
[Command]
name = "AI4"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y
time = 0
[Command]
name = "AI5"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI6"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s
time = 0
[Command]
name = "AI7"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F
time = 0
[Command]
name = "AI8"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D
time = 0
[Command]
name = "AI9"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B
time = 0
[Command]
name = "AI10"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U
time = 0
[Command]
name = "AI11"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,b
time = 0
[Command]
name = "AI12"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,b
time = 0
[Command]
name = "AI13"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,b
time = 0
[Command]
name = "AI14"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,b
time = 0
[Command]
name = "AI15"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,b
time = 0
[Command]
name = "AI16"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,b
time = 0
[Command]
name = "AI17"
command = a,B,c,x,y,z,s,B,D,F,U,a,b,c,x,y,z,s,s
time = 0
[Command]
name = "AI18"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,c
time = 0
[Command]
name = "AI19"
command = b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,b,c
time = 0
[Command]
name = "AI20"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,a
time = 0
[Command]
name = "AI21"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,c
time = 0
[Command]
name = "AI22"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,c
time = 0
[Command]
name = "AI23"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,c
time = 0
[Command]
name = "AI24"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,c
time = 0
[Command]
name = "AI25"
command = F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,F,c
time = 0
[Command]
name = "AI26"
command = D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,D,c
time = 0
[Command]
name = "AI27"
command = B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,B,c
time = 0
[Command]
name = "AI28"
command = U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,U,c
time = 0
[Command]
name = "AI29"
command = a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,x
time = 0
[Command]
name = "AI30"
command = c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,c,x
time = 0
[Command]
name = "AI31"
command = x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,x,a
time = 0
[Command]
name = "AI32"
command = y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,y,x
time = 0
[Command]
name = "AI33"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,x
time = 0
[Command]
name = "AI34"
command = s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,s,x
time = 0
[Command]
name = "AI35"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,x
time = 0
[Command]
name = "AI36"
command = z,z,z,z,z,z,a,a,a,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI37"
command = z,a,a,a,a,a,a,a,a,a,a,a,a,a,a,a,z,z,z
time = 0
[Command]
name = "AI38"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z
time = 0
[Command]
name = "AI39"
command = z,z,z,z,z,a,a,a,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI40"
command = z,z,z,z,a,a,a,z,z,z,z,a,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI41"
command = z,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI42"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a
time = 0
[Command]
name = "AI43"
command = z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI44"
command = z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI45"
command = z,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI46"
command = z,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI47"
command = z,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI48"
command = z,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI49"
command = z,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI50"
command = z,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI51"
command = a,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI52"
command = a,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI53"
command = a,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI54"
command = a,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI55"
command = a,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI56"
command = a,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI57"
command = a,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI58"
command = a,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI59"
command = a,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI60"
command = a,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI61"
command = b,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI62"
command = b,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI63"
command = b,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI64"
command = b,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI65"
command = b,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI66"
command = b,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI67"
command = b,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI68"
command = b,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI69"
command = b,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI70"
command = b,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI71"
command = c,z,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI72"
command = c,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI73"
command = c,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI74"
command = c,z,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI75"
command = c,z,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI76"
command = c,z,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI77"
command = c,z,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI78"
command = c,z,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI79"
command = c,z,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI80"
command = c,z,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0
[Command]
name = "AI81"
command = a,a,z,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z,z
time = 0
[Command]
name = "AI82"
command = a,a,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI83"
command = a,a,z,z,z,z,z,z,z,z,z,z,z,z,z,z,a,a,z
time = 0
[Command]
name = "AI84"
command = a,a,a,a,a,a,z,z,z,z,z,z,z,z,z,a,a,a,z
time = 0
[Command]
name = "AI85"
command = a,a,z,z,z,z,a,a,z,z,z,z,z,a,a,a,a,z,z
time = 0
[Command]
name = "AI86"
command = a,a,z,z,z,z,z,z,a,a,a,a,a,a,z,z,z,z,z
time = 0
[Command]
name = "AI87"
command = a,a,z,a,a,a,a,z,z,z,z,z,z,z,z,z,z,z,z
time = 0
[Command]
name = "AI88"
command = a,a,z,z,z,a,a,a,z,z,z,a,a,a,z,z,a,z,a
time = 0
[Command]
name = "AI89"
command = a,a,z,z,a,a,a,z,z,z,z,z,a,a,a,z,z,z,z
time = 0
[Command]
name = "AI90"
command = a,a,z,a,a,z,z,z,z,z,z,z,z,z,a,a,z,z,z
time = 0

;----------------------------------------------------------
[Statedef 10000]
ctrl=0

[State 10000]
type=selfstate
trigger1=!ishelper
value=0

[State 10000]
type = Varset
trigger1=command="a"&&root,command="a"
trigger2=command="b"&&root,command="b"
trigger3=command="c"&&root,command="c"
trigger4=command="x"&&root,command="x"
trigger5=command="y"&&root,command="y"
trigger6=command="z"&&root,command="z"
trigger7=command="fwd"&&root,command="fwd"
trigger8=command="back"&&root,command="back"
trigger9=command="up"&&root,command="up"
trigger10=command="down"&&root,command="down"
trigger11=command="start"&&root,command="start"
var(59)=-1

[State 10000]
type = DestroySelf
triggerall=isHelper
trigger1=root,var(59)||var(59)=-1
trigger2=command="a"&&root,command="a"
trigger3=command="b"&&root,command="b"
trigger4=command="c"&&root,command="c"
trigger5=command="x"&&root,command="x"
trigger6=command="y"&&root,command="y"
trigger7=command="z"&&root,command="z"
trigger8=command="fwd"&&root,command="fwd"
trigger9=command="back"&&root,command="back"
trigger10=command="up"&&root,command="up"
trigger11=command="down"&&root,command="down"
trigger12=command="start"&&root,command="start"

[State 10000]
type=Varset
triggerall=var(59)!=-1
trigger1=root,command="a"
trigger2=root,command="b"
trigger3=root,command="c"
trigger4=root,command="x"
trigger5=root,command="y"
trigger6=root,command="z"
trigger7=root,command="fwd"
trigger8=root,command="back"
trigger9=root,command="up"
trigger10=root,command="down"
trigger11=root,command="start"
trigger12=1
var(59)=1

;----------------------------------------------------------
[command]
name="fwd"
command=F
time=1
[command]
name="back"
command=B
time=1
[command]
name="up"
command=U
time=1
[command]
name="down"
command=D
time=1

;---超必殺技--------------------------------------------
[Command]
name = "マジカル☆バレット"
command = x+z

;---必殺技----------------------------------------------
[Command]
name = "攻撃ボタン"
command = x

[Command]
name = "持ち上げボタン"
command = a

[Command]
name = "回転ボタン"
command = b

[Command]
name = "ジャンプボタン"
command = c

[Command]
name = "Lボタン"
command = y

[Command]
name = "Rボタン"
command = z

[Command]
name = "スタートボタン"
command = start

[Command]
name = "自爆"
command = x+y+z


;---キー２回連続入力------------------------------------

[Command]
name = "FF"       
command = F, F
time = 10

[Command]
name = "BB"       
command = B, B
time = 10

;---ボタン単発------------------------------------------

[Command]
name = "a"
command = a
time = 1

[Command]
name = "b"
command = b
time = 1

[Command]
name = "c"
command = c
time = 1

[Command]
name = "x"
command = x
time = 1

[Command]
name = "y"
command = y
time = 1

[Command]
name = "z"
command = z
time = 1

[Command]
name = "start"
command = s
time = 1

[Command]
name = "hold_a"
command = /a

[Command]
name = "hold_b"
command = /b

[Command]
name = "hold_c"
command = /c

[Command]
name = "hold_x"
command = /x

[Command]
name = "hold_y"
command = /y

[Command]
name = "hold_z"
command = /z

;---方向キー---------------------------------------
[Command]
name = "holdfwd"   
command = /$F
time = 1

[Command]
name = "holdback"  
command = /$B
time = 1

[Command]
name = "holdup"    
command = /$U
time = 1

[Command]
name = "holddown"
command = /$D
time = 1

;---同時押し---------------------------------------
[Command]
name = "LR"
command = y+z
time = 1

[Statedef -1]
;---超必殺技-------------------------------------------------------------------------
[State -1, マジカル☆バレット]
type = changestate
triggerall = var(58) = 1
triggerall = var(59) = 0
triggerall = command = "マジカル☆バレット"
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 116
trigger3 = pos Y < 0
trigger4 = time > 10
trigger4 = stateno = 1002
trigger5 = stateno = 1905
trigger6 = stateno = 1906
value = 3000

;---必殺技---------------------------------------------------------------------------
[State -1, ヒップアタック]
type = ChangeState
triggerall = var(59) = 0
triggerall = command = "holddown"
triggerall = command = "ジャンプボタン"
trigger1 = stateno = 50
trigger2 = stateno = 116
trigger2 = pos Y < 0
trigger3 = time > 10
trigger3 = stateno = 1002
trigger4 = stateno = 1905
trigger5 = stateno = 1906
trigger6 = stateno = 3001
value = 1000

[State -1, アサギ・ワンダーバスター（仮）地]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
trigger1 = ctrl
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0
value = 1100

[State -1, アサギ・ワンダーバスター（仮）空]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
trigger1 = ctrl
trigger2 = stateno = 1110
trigger2 = animelemtime(4) >= 0
trigger3 = stateno = 50
trigger4 = time > 10
trigger4 = stateno = 1002
value = 1110

[State -1, アサギ・ザ・ショットガン（仮）地01_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1200

[State -1, アサギ・ザ・ショットガン（仮）地01_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "hold_x"
triggerall = statetype != A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1201
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1205
trigger2 = animelemtime(1) > 0
value = 1200

[State -1, アサギ・ザ・ショットガン（仮）地02_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1204

[State -1, アサギ・ザ・ショットガン（仮）地02_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "hold_x"
triggerall = statetype != A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1201
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1205
trigger2 = animelemtime(1) > 0
value = 1204

[State -1, アサギ・ザ・ショットガン（仮）空01_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1202

[State -1, アサギ・ザ・ショットガン（仮）空01_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1202

[State -1, アサギ・ザ・ショットガン（仮）空02_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1206

[State -1, アサギ・ザ・ショットガン（仮）空02_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1206

[State -1, アサギ・ザ・ショットガン（仮）空03_a]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "攻撃ボタン"
triggerall = statetype = A
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1208

[State -1, アサギ・ザ・ショットガン（仮）空03_b]
type = ChangeState
triggerall = var(21) > 0
triggerall = var(54) = 1
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "hold_x"
triggerall = statetype = A
triggerall = NumProjID(1230) < 3
trigger1 = stateno = 1203
trigger1 = animelemtime(1) > 0
trigger2 = stateno = 1207
trigger2 = animelemtime(1) > 0
trigger3 = stateno = 1209
trigger3 = animelemtime(1) > 0
value = 1208

[State -1, アサギ・ガトリング（仮）地01]
type = ChangeState
triggerall = var(22) > 0
triggerall = var(54) = 2
triggerall = var(59) = 0
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1300

[State -1, アサギ・ガトリング（仮）地02]
type = ChangeState
triggerall = var(22) > 0
triggerall = var(54) = 2
triggerall = var(59) = 0
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
triggerall = statetype != A
trigger1 = ctrl
value = 1303

[State -1, アサギの凄いバズーカ（仮）地01]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command != "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = command = "hold_x"
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1400

[State -1, アサギの凄いバズーカ（仮）地02]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = command = "hold_x"
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1402

[State -1, アサギの凄いバズーカ（仮）空]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1404

[State -1, アサギのワクワク火炎放射器（仮）地01]
type = ChangeState
triggerall = var(24) > 0
triggerall = var(54) = 4
triggerall = var(59) = 0
triggerall = command != "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1501
trigger3 = command = "hold_x"
trigger3 = stateno = 1503
trigger4 = command = "攻撃ボタン"
trigger4 = time > 10
trigger4 = stateno = 1002
value = 1500

[State -1, アサギのワクワク火炎放射器（仮）地02]
type = ChangeState
triggerall = var(24) > 0
triggerall = var(54) = 4
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
trigger1 = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = command = "hold_x"
trigger2 = stateno = 1501
trigger3 = command = "hold_x"
trigger3 = stateno = 1503
value = 1502

[State -1, アサギのカッコイイドリル（仮）地01]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command != "holdup"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1600

[State -1, アサギのカッコイイドリル（仮）地02]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "holdup"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1602

[State -1, アサギのカッコイイドリル（仮）空01]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command != "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1604

[State -1, アサギのカッコイイドリル（仮）空02]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command = "holdup"
triggerall = command != "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1606

[State -1, アサギのカッコイイドリル（仮）空03]
type = ChangeState
triggerall = var(25) > 0
triggerall = var(54) = 5
triggerall = var(59) = 0
triggerall = statetype = A
triggerall = command != "holdup"
triggerall = command = "holddown"
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1608

[State -1, アサギwithニャーン（仮）]
type = ChangeState
triggerall = var(26) > 0
triggerall = var(54) = 6
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1700

[State -1, ドリームキャスター（仮）]
type = ChangeState
triggerall = var(54) = 7
triggerall = var(59) = 0
triggerall = statetype != A
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
value = 1800

[State -1, 魔香芋]
type = ChangeState
triggerall = var(28) > 0
triggerall = var(54) = 8
triggerall = var(59) = 0
triggerall = command = "攻撃ボタン"
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1900

[State -1, 投げ]
type = ChangeState
value = 500
triggerall = var(59) = 0
triggerall = command = "持ち上げボタン"
triggerall = command != "holdback"
triggerall = statetype = S
triggerall = P2BodyDist X < 30
trigger1 = ctrl

[State -1, 投げ逆]
type = ChangeState
value = 503
triggerall = var(59) = 0
triggerall = command = "持ち上げボタン"
triggerall = command = "holdback"
triggerall = statetype = S
triggerall = P2BodyDist X < 30
trigger1 = ctrl

;---基本行動---------------------------------------------------------------------------
[State -1, 挑発]
type = ChangeState
value = 200
triggerall = var(59) = 0
triggerall = command = "start"
triggerall = statetype = S
trigger1 = ctrl

[State -1, ジャンプ]
type = ChangeState
value = 41
triggerall = var(59) = 0
triggerall = command = "ジャンプボタン"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 100
trigger3 = stateno = 105
trigger4 = stateno = 106
trigger5 = stateno = 107
trigger6 = stateno = 117
trigger7 = stateno = 1100
trigger7 = animelemtime(4) >= 0
trigger8 = stateno = 1201
trigger8 = animelemtime(1) > 0
trigger9 = stateno = 1300
trigger10 = stateno = 1302
trigger11 = stateno = 1401
trigger12 = stateno = 1403
trigger13 = stateno = 1501
trigger14 = stateno = 1503
trigger15 = stateno = 1601
trigger16 = stateno = 1603

[State -1, 回転]
type = ChangeState
value = 90
triggerall = var(59) = 0
triggerall = command = "回転ボタン"
triggerall = statetype = S
trigger1 = ctrl
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0

[State -1, 回転2]
type = ChangeState
value = 91
triggerall = var(59) = 0
triggerall = command = "回転ボタン"
trigger1 = stateno = 100
trigger2 = stateno = 105

[State -1, 2段ジャンプ]
type = ChangeState
value = 45
triggerall = var(59) = 0
triggerall = command = "ジャンプボタン"
triggerall = var(0) = 0
triggerall = var(1) = 0
trigger1 = stateno = 50
trigger2 = stateno = 116
trigger3 = time > 12
trigger3 = stateno = 502
trigger4 = time > 10
trigger4 = stateno = 1002

[State -1, 2段ジャンプ2]
type = ChangeState
value = 46
triggerall = var(59) = 0
triggerall = command = "ジャンプボタン"
triggerall = var(0) = 0
triggerall = var(1) = 1
trigger1 = stateno = 50

[State -1, スライディング]
type = ChangeState
value = 116
triggerall = var(59) = 0
triggerall = command = "holddown"
trigger1 = stateno = 100

[State -1,自爆ヘルパー]
type = Helper
triggerall = var(59) = 0
trigger1 = NumHelper(610) = 0
trigger1 = movetype = H
trigger1 = command = "自爆"
helpertype = normal
name = "zibaku"
stateno = 610
postype = p1
pos = 0, 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 1.0
size.yscale = 1.0
ID = 610
ignorehitpause = 1

[State -1, 自爆抜け]
type = ChangeState
value = 600
triggerall = var(59) = 0
triggerall = Alive
triggerall = command = "自爆"
trigger1 = movetype = H
ignorehitpause = 1


;---ウェポンチェンジ----------------------------------------------------------------------------

[State -1,チェンジサウンド]
type = playsnd
triggerall = var(59) = 0
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
trigger2 = command != "hold_y"
trigger2 = command = "Rボタン"
trigger3 = var(54) = [0,5]
trigger3 = command = "LR"
value = S10, 100

[State -1,特殊ウェポン]
type = varset
triggerall = var(59) = 0
triggerall = var(54) = [0,5]
trigger1 = command = "LR"
var(54) = 6

[State -1,ウェポンチェンジL]
type = varadd
triggerall = var(59) = 0
trigger1 = var(54) = [0,5]
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
var(54) = ifelse(var(54) = 0, 5, -1)

[State -1,ウェポンチェンジR]
type = varadd
triggerall = var(59) = 0
trigger1 = var(54) = [0,5]
trigger1 = command != "hold_y"
trigger1 = command = "Rボタン"
var(54) = ifelse(var(54) = 5, -5, 1)

[State -1,ウェポンチェンジL]
type = varadd
triggerall = var(59) = 0
trigger1 = var(54) = [6,8]
trigger1 = command = "Lボタン"
trigger1 = command != "hold_z"
var(54) = ifelse(var(54) = 6, 2, -1)

[State -1,ウェポンチェンジR]
type = varadd
triggerall = var(59) = 0
trigger1 = var(54) = [6,8]
trigger1 = command != "hold_y"
trigger1 = command = "Rボタン"
var(54) = ifelse(var(54) = 8, -2, 1)

;ペナルティ----------------------------------------------------------
[State -1]
type = varset
triggerall = Numhelper(20000)
trigger1 = time%2 = 1
fvar(0) = helper(20000),ParentDist X
ignorehitpause = 1

[State -1]
type = varset
trigger1 = time%2 = 1
fvar(1) = pos Y
ignorehitpause = 1

[State -1]
type = varadd
triggerall = var(58) = 0
triggerall = Numhelper(20000)
triggerall = movetype = A
trigger1 = stateno != 0
trigger1 = fvar(0) = helper(20000),ParentDist X
trigger1 = fvar(1) = pos Y
trigger1 = movetype != H
var(45) = 1
ignorehitpause = 1

[State -1]
type = Helper
trigger1 = var(44) != 0
trigger1 = NumHelper(400) = 0
trigger1 = var(45) >= var(44)
helpertype = normal
name = "tarai"
stateno = 400
postype = p1
pos = 0, -240
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 1.3
size.yscale = 1.3
ID = 400
ignorehitpause = 1

;ライフ回復------------------------------------------------------------------------------------------------
[state -1]
type = varadd
trigger1 = life = lifemax
var(2) = 0

[state -1]
type = varadd
trigger1 = var(2) >= 1
var(2) = -1

[state -1]
type = playsnd
trigger1 = var(2) > 0
trigger1 = Gametime%5 = 0
trigger1 = life != lifemax
value = S10, 22
channel = 17
lowpriority = 0

[state -1]
type = lifeadd
trigger1 = var(2) > 0
value = 1



;-----------------------------------------------------------------
;AI記述
;-----------------------------------------------------------------
[Statedef -3]
[State -3]
type = VarSet
trigger1 = var(59) >= 1 && roundstate = 2
var(40) = 0 + (NumEnemy = 2 && EnemyNear(0),life <= 0)
ignorehitpause = 1

[State -3]
type = VarSet
triggerAll = var(41) = 0
trigger1 = EnemyNear(var(40)),NumHelper > 0
trigger1 = roundState = 2
v = 41
value = EnemyNear(var(40)),NumHelper

;---ウェポンチェンジ----------------------------------------------------------------------------

[State -3,チェンジサウンド]
type = playsnd
triggerall = var(59) >= 1 && roundstate = 2 && Ctrl
trigger1 = var(54) = 0 && var(23) > 0
trigger2 = var(54) = 1
trigger3 = var(54) = 2
trigger4 = var(54) = 3 && var(23) = 0
trigger5 = var(54) = 4
trigger6 = var(54) = 5
value = S10, 100

[State -3,チェンジサウンド2]
type = null;playsnd
triggerall = var(59) >= 1 && roundstate = 3
trigger1 = var(54) = [0,5]
trigger2 = var(54) = 6 && var(26) = 0
trigger3 = var(54) = 8 && var(28) = 0
value = S10, 100

[State -3,特殊ウェポン]
type = null;varset
triggerall = var(59) >= 1 && roundstate = 3
trigger1 = var(54) = [0,5]
var(54) = 6

[State -3,ウェポンチェンジR]
type = varadd
triggerall = var(59) >= 1 && roundstate = 2 && Ctrl
trigger1 = var(54) = 0 && var(23) > 0
trigger2 = var(54) = 1
trigger3 = var(54) = 2
trigger4 = var(54) = 3 && var(23) = 0
trigger5 = var(54) = 4
trigger6 = var(54) = 5
var(54) = ifelse(var(54) = 5, -5, 1)

[State -3,ウェポンチェンジR]
type = null;varadd
triggerall = var(59) >= 1 && roundstate = 3
trigger1 = var(54) = 6 && var(26) = 0
trigger2 = var(54) = 8 && var(28) = 0
var(54) = ifelse(var(54) = 8, -2, 1)

;------------------------------------------------
[State -3, マジカル☆バレット]
type = changestate
value = 3000
triggerall = var(58) = 1
triggerall = var(59) >= 1 && roundstate = 2
triggerall = P2life <= 333
triggerall = pos Y < -95 && P2BodyDist X > 150
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 1002 && time > 10

;------------------------------------------------
[State -3, マジカル☆バレット1]
type = changestate
value = 3000
triggerall = var(58) = 1
triggerall = var(59) >= 1 && roundstate = 2
triggerall = P2life <= 333
triggerall = pos Y < -70 && P2BodyDist X = [90,150]
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 1002 && time > 10

;------------------------------------------------
[State -3, マジカル☆バレット2]
type = changestate
value = 3000
triggerall = var(58) = 1
triggerall = var(59) >= 1 && roundstate = 2
triggerall = P2life <= 333
triggerall = pos Y < -25 && P2BodyDist X = [40,90]
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 1002 && time > 10

;------------------------------------------------
[State -3, マジカル☆バレット3]
type = changestate
value = 3000
triggerall = var(58) = 1
triggerall = var(59) >= 1 && roundstate = 2
triggerall = P2life <= 333
triggerall = pos Y < 0 && P2BodyDist X < 40
trigger1 = StateType = A && Ctrl
trigger2 = stateno = 50
trigger3 = stateno = 1002 && time > 10

;------------------------------------------------
[State -3, ジャンプ1]
type = ChangeState
value = 41
triggerall = var(59) >= 1 && roundstate = 2
triggerall = var(58) = 1 && statetype = S
triggerall = EnemyNear(var(40)),Movetype = H
triggerall = P2life <= 333 && P2BodyDist Y >= -60
triggerall = var(23) > 0
trigger1 = ctrl
trigger2 = stateno = 1401 || stateno = 1403

;------------------------------------------------
[State -3, ジャンプ2]
type = ChangeState
value = 41
triggerall = var(59) >= 1 && roundstate = 2
triggerall = var(58) = 1 && statetype = S
triggerall = EnemyNear(var(40)),Movetype = H
triggerall = P2life <= 10
trigger1 = ctrl
trigger2 = stateno = 1401 || stateno = 1403
trigger3 = stateno = 1100
trigger3 = animelemtime(4) >= 0

;------------------------------------------------
;立ちガード
[State -3]
type = ChangeState
value = 130
triggerall = var(59) >= 1 && roundstate = 2
triggerall = EnemyNear(var(40)),statetype != C
triggerall = ctrl && statetype != A
triggerall = inguarddist
trigger1 =!(EnemyNear(var(40)),HitDefAttr = SCA,AT)
trigger2 = Enemy,NumHelper > 0
trigger2 = Enemy,NumHelper > var(41)
trigger3 = Enemy,NumProj > 0

;------------------------------------------------
;屈みガード
[State -3]
type = ChangeState
value = 131
triggerall = var(59) >= 1 && roundstate = 2
triggerall = EnemyNear(var(40)),statetype = C
triggerall = ctrl && statetype != A
triggerall = inguarddist
trigger1 =!(EnemyNear(var(40)),HitDefAttr = SCA,AT)
trigger2 = Enemy,NumHelper > 0
trigger2 = Enemy,NumHelper > var(41)
trigger3 = Enemy,NumProj > 0

;------------------------------------------------
;空中ガード
[State -3]
type = ChangeState
value = 132
triggerall = var(59) >= 1 && roundstate = 2
triggerall = ctrl && statetype = A
triggerall = inguarddist
trigger1 =!(EnemyNear(var(40)),HitDefAttr = SCA,AT)
trigger2 = Enemy,NumHelper > 0
trigger2 = Enemy,NumHelper > var(41)
trigger3 = Enemy,NumProj > 0

;------------------------------------------------
[State -3, 投げ]
type = ChangeState
value = 500
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = S
triggerall = P2BodyDist X <= 10
triggerall = EnemyNear(var(40)),StateType != A && EnemyNear(var(40)),StateType != L && EnemyNear(var(40)),movetype != H
triggerall = !(EnemyNear(var(40)),stateno = [5000,5001]) && !(EnemyNear(var(40)),stateno = [5010,5011])
trigger1 = ctrl && frontedgebodydist > 30
trigger1 = !(EnemyNear(var(40)),stateno = 500) && !(EnemyNear(var(40)),stateno = 503)

;------------------------------------------------
[State -3, 投げ逆]
type = ChangeState
value = 503
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = S
triggerall = P2BodyDist X < 10
triggerall = EnemyNear(var(40)),StateType != A && EnemyNear(var(40)),StateType != L && EnemyNear(var(40)),movetype != H
triggerall = !(EnemyNear(var(40)),stateno = [5000,5001]) && !(EnemyNear(var(40)),stateno = [5010,5011])
trigger1 = ctrl
trigger1 = !(EnemyNear(var(40)),stateno = 500) && !(EnemyNear(var(40)),stateno = 503)

;------------------------------------------------
[State -3, ヒップアタック]
type = ChangeState
triggerall = var(59) >= 1 && roundstate = 2
triggerall = P2BodyDist X = 0 && EnemyNear(var(40)),StateType != L
triggerall = var(58) = 0
triggerall = !(EnemyNear(var(40)),stateno = [150,155]) && !( EnemyNear(var(40)),stateno = 1050)
triggerall = random < 100
trigger1 = stateno = 50 || stateno = 3001
trigger2 = stateno = 116 && pos Y < 0
trigger3 = time > 10 && stateno = 1002
value = 1000

;------------------------------------------------
[State -3, ジャンプ5]
type = ChangeState
value = 41
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = S && var(23) = 0
triggerall = !(EnemyNear(var(40)),stateno = [5000,5050])
trigger1 = ctrl && random < 111
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0
trigger2 = random < 111
trigger3 = P2BodyDist X <= -5 && random < 900
trigger3 = stateno = 1100
trigger3 = animelemtime(4) >= 0
trigger4 = stateno = 1401 || stateno = 1403
trigger4 = random < 900 && P2BodyDist X <= -5

;------------------------------------------------
[State -3, アサギ・ワンダーバスター（仮）地]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype != A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
triggerall = !(EnemyNear(var(40)),stateno = [150,155])
triggerall = p2life > 0
trigger1 = ctrl
trigger2 = stateno = 1100
trigger2 = animelemtime(4) >= 0
value = 1100

;------------------------------------------------
[State -3, アサギ・ワンダーバスター（仮）空]
type = ChangeState
triggerall = var(54) = 0
triggerall = var(58) = 0
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = A
triggerall = Numhelper(1120)+Numhelper(1121) < 4
trigger1 = ctrl
trigger2 = stateno = 1110
trigger2 = animelemtime(4) >= 0
trigger3 = stateno = 50
trigger4 = time > 10
trigger4 = stateno = 1002
value = 1110

;------------------------------------------------
[State -3, アサギの凄いバズーカ（仮）地02 上]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype != A
triggerall = !(EnemyNear(var(40)),stateno = [150,155])
triggerall = !(EnemyNear(var(40)),stateno = [510,511])
triggerall = P2BodyDist Y <= -45 && P2BodyDist X <= 90
trigger1 = ctrl
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1402

;------------------------------------------------
[State -3, アサギの凄いバズーカ（仮）地01 横]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype != A
triggerall = !(EnemyNear(var(40)),stateno = [150,155])
trigger1 = ctrl
trigger2 = stateno = 1401
trigger2 = animelemtime(1) >= 10
trigger3 = stateno = 1403
trigger3 = animelemtime(1) >= 10
value = 1400

;------------------------------------------------
[State -3, アサギの凄いバズーカ（仮）空]
type = ChangeState
triggerall = var(23) > 0
triggerall = var(54) = 3
triggerall = var(58) = 0
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = A
trigger1 = !(EnemyNear(var(40)),stateno = [150,155])
trigger1 = ctrl
trigger2 = time > 10
trigger2 = stateno = 1002
value = 1404

;------------------------------------------------
[State -3, 前進]
type = ChangeState
value = 20
triggerall = var(59) >= 1 && roundstate = 2
triggerall = !(EnemyNear(var(40)),stateno = [154,155])
triggerall = statetype = S && ctrl
trigger1 = life > 750 && P2BodyDist X >= 10 && var(23) > 0
trigger2 = life <= 750 && P2BodyDist X >= 60
trigger2 = random < 100 && var(23) > 0
trigger3 = P2BodyDist X >= 10 && var(23) = 0

;------------------------------------------------
[State -3, ジャンプ3]
type = ChangeState
value = 41
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = S && var(23) > 0
triggerall = !(EnemyNear(var(40)),stateno = [150,153])
triggerall = random < 20
triggerall = !(EnemyNear(var(40)),stateno = 5000) && !(EnemyNear(var(40)),stateno = 5010) && !(EnemyNear(var(40)),stateno = 5020)
trigger1 = ctrl
trigger2 = stateno = 1401 || stateno = 1403

;------------------------------------------------
[State -3, ジャンプ4]
type = ChangeState
value = 41
triggerall = var(59) >= 1 && roundstate = 2
triggerall = statetype = S && var(23) > 0
triggerall = EnemyNear(var(40)),stateno = [150,153]
trigger1 = random < 16 && P2BodyDist X <= 10
trigger1 = ctrl
trigger2 = random < 16 && P2BodyDist X <= 10
trigger2 = stateno = 1401 || stateno = 1403
trigger3 = random < 8
trigger3 = ctrl
trigger4 = random < 8
trigger4 = stateno = 1401 || stateno = 1403

;------------------------------------------------
[State -3,自爆ヘルパー]
type = Helper
triggerall = var(59) >= 1
triggerall = movetype = H
triggerall = NumHelper(610) = 0
trigger1 = stateno = [150,155]
trigger1 = P2BodyDist X < 40
trigger1 = random = [0,10]
trigger2 = stateno = [150,155]
trigger2 = P2BodyDist X = [40,100]
trigger2 = random = [0,3]
trigger3 = stateno = 5000 || stateno = 5001 || stateno = 5010 || stateno = 5011 || stateno = 5020 || stateno = 5030 || stateno = 5035 || stateno = 5070
trigger3 = P2BodyDist X < 40
trigger3 = random = [0,10]
trigger4 = var(42) = 2
trigger4 = stateno = 5150
trigger4 = random = [0,2]
trigger5 = var(42) = 3
trigger5 = stateno = 5150
trigger5 = random = [0,8]
trigger6 = var(42) = 4
trigger6 = stateno = 5150
trigger6 = random = [0,30]
trigger7 = var(42) = 5
trigger7 = stateno = 5150
helpertype = normal
name = "zibaku"
stateno = 610
postype = p1
pos = 0, 0
ownpal = 1
supermovetime = 0
pausemovetime = 0
size.xscale = 1.0
size.yscale = 1.0
ID = 610
ignorehitpause = 1

;------------------------------------------------
[State -3, 自爆抜け]
type = ChangeState
value = 600
triggerall = var(59) >= 1
triggerall = Alive
triggerall = movetype = H && stateno != 5110
triggerall = NumHelper(610) = 1
trigger1 = roundstate = 2 && stateno != 600
ignorehitpause = 1

;---------------------------------------------------------------------------
[State -3, AI起動用ヘルパー]
type=helper
triggerall = roundstate = [1,2]
trigger1 = var(59) = 0
trigger1 = !NumHelper(10000+id)
trigger1 = alive
helpertype=normal
name="AI"
stateno=10000
ID=10000+id
pos=9999,9999
keyctrl=1
pausemovetime=2147483647
supermovetime=2147483647
persistent = 0

[State -3]
type = ChangeState
trigger1= ishelper
trigger1= ishelper(10000+root,id)
trigger1= stateno!=10000
value=10000

;-----------------------------------------------------------------------------------------------------------
[State -3]
type = Varset
triggerall = var(59) = 0
triggerall = roundstate = [1,2]
trigger1 = Command = "AI0" || Command = "AI1" || Command = "AI2" || Command = "AI3" || Command = "AI4" 
trigger2 = Command = "AI5" || Command = "AI6" || Command = "AI7" || Command = "AI8" || Command = "AI9" 
trigger3 = Command = "AI10" || Command = "AI11" || Command = "AI12" || Command = "AI13" || Command = "AI14"
trigger4 = Command = "AI15" || Command = "AI16" || Command = "AI17" || Command = "AI18" || Command = "AI19"
trigger5 = Command = "AI20" || Command = "AI21" || Command = "AI22" || Command = "AI23" || Command = "AI24"
trigger6 = Command = "AI25" || Command = "AI26" || Command = "AI27" || Command = "AI28" || Command = "AI29"
trigger7 = Command = "AI30" || Command = "AI31" || Command = "AI32" || Command = "AI33" || Command = "AI34"
trigger8 = Command = "AI35" || Command = "AI36" || Command = "AI37" || Command = "AI38" || Command = "AI39"
trigger9 = Command = "AI40" || Command = "AI41" || Command = "AI42" || Command = "AI43" || Command = "AI44"
trigger10 = Command = "AI45" || Command = "AI46"|| Command = "AI47" || Command = "AI48" || Command = "AI49"
trigger11 = Command = "AI50" || Command = "AI51"|| Command = "AI52" || Command = "AI53" || Command = "AI54"
trigger12 = Command = "AI55" || Command = "AI56"|| Command = "AI57" || Command = "AI58" || Command = "AI59"
trigger13 = Command = "AI60" || Command = "AI61"|| Command = "AI62" || Command = "AI63" || Command = "AI64"
trigger14 = Command = "AI65" || Command = "AI66"|| Command = "AI67" || Command = "AI68" || Command = "AI69"
trigger15 = Command = "AI70" || Command = "AI71"|| Command = "AI72" || Command = "AI73" || Command = "AI74"
trigger16 = Command = "AI75" || Command = "AI76"|| Command = "AI77" || Command = "AI78" || Command = "AI79"
trigger17 = Command = "AI80" || Command = "AI81"|| Command = "AI82" || Command = "AI83" || Command = "AI84"
trigger18 = Command = "AI85" || Command = "AI86"|| Command = "AI87" || Command = "AI88" || Command = "AI89"
trigger19 = Command = "AI90"
trigger20 = NumHelper(10000+id)
trigger20 = Helper(10000+id),var(59)>0
trigger21 = !ishelper
var(59) = 1
ignorehitpause = 1

